blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
2eede88312a6661394b03d510fd66c536b2d4ace
Shell
Roboy/ravestate
/deploy.sh
UTF-8
174
2.65625
3
[ "BSD-3-Clause" ]
permissive
#!/usr/bin/env bash export setupfile=${1} if [[ ! $setupfile ]]; then export setupfile=setup.py fi rm -rf dist python3 $setupfile sdist bdist_wheel twine upload dist/*
true
381780bc987d5855281fd033adbb19436d1f2dfe
Shell
nfvri/dputils
/vnfs/packer/ubuntu_1604_server/provision/provision.sh
UTF-8
1,014
3.40625
3
[]
no_license
#!/bin/bash useradd -m -s /bin/bash -p $(openssl passwd -crypt $guest_user) -U $guest_password echo "$guest_user ALL=(ALL) NOPASSWD:ALL" | tee -a /etc/sudoers # Bypass proxy settings if http_proxy is empty if [ ! -z "$http_proxy" ] then echo "http_proxy=$http_proxy" | sudo tee -a /etc/environment echo "https_...
true
ff264b31a0b4fd1f1edc12b1cf25c3b843986ee1
Shell
grlf/vagrant-lando
/dist/provision.sh
UTF-8
1,039
3.40625
3
[]
no_license
#!/usr/bin/env bash set -euo pipefail LANDO_VERSION=${LANDO_VERSION:-v3.4.2} # Install Docker. if ! hash docker > /dev/null 2>&1; then curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo apt-key add - sudo add-apt-repository \ "deb [arch=amd64] https://download.docker.com/linux/ubuntu \ $(lsb_release...
true
14a0610b61a2b246939937e9780671b1c07f74f1
Shell
surajkawade/shell-scripting
/echo.sh
UTF-8
165
2.640625
3
[]
no_license
#!/bin/bash # This is my first bash script greeting="hello" echo $greeting, world \(planet\)! echo '$greeting, world (planet)' echo "$greeting, world (planet)!"
true
83147fc619cf42c9897f5909f9ee936ec6721172
Shell
stemkit-collection/stemkit-util
/scripts/lprint
UTF-8
1,017
4.03125
4
[ "MIT" ]
permissive
#!/bin/ksh # # Script to perform local print. Usage: # lprint [<file> ...] # where <file> - The name of a file to print. Multiple file # may be printed on a single invocation. If # <file> is "-" or absent than standard input # is read. Printer_ON () { [ "${CodeSet:+set}" = set ...
true
ec55dbb1f0021488a48d1daa08b96f50db41b980
Shell
Jacob-Spiegel/SMILESClickChem
/docker/examples/example.bash
UTF-8
627
2.6875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # This script is an example for running SMILESClickChem within a docker. # To modify the protein, pocket dimensions, and GA paremeters... please # create a JSON file with the desired user variables. # An example JSON is provided at: /SMILESClickChem/docker/examples/sample_submit_SMILESClickChem_docker.json...
true
b447380e0ea5bb545b855c9a3d74e51ceb4bfd36
Shell
ehwest/control_scripts
/poller.sh
UTF-8
2,244
3.015625
3
[]
no_license
#/usr/bin/ntpdate -b -s -u pool.ntp.org date >> /home/root/logfile.txt echo "Starting poller.sh script." >> /home/root/logfile.txt export SHELL=/bin/sh export TERM=vt100 export USER=root export PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin export PWD=/home/root export HOME=/home/root export SHLVL=2...
true
c83a7445292c6f46516be1bec07cca592e7b184c
Shell
stfnwong/smips
/test/run_tests.sh
UTF-8
131
2.953125
3
[ "MIT" ]
permissive
#!/bin/bash # Run unit tests for t in bin/test/*; do ./$t || rc=$? if [[ rc -ne 0 ]] ; then exit $rc fi done
true
4efa10c5c95d2035650c8c93c6e8a95909663275
Shell
wilsjame/dotfiles
/.bashrc
UTF-8
846
2.9375
3
[]
no_license
#alias ls='ls -aGFhp' alias ls='ls --color' alias ll='ls -alF' alias lg='git log --pretty=oneline' alias ld='docker ps --format "table {{.Names}}\t{{.Image}}\t{{.State}}"' alias ldi='docker ps --format "table {{.Names}}\t{{.Image}}\t{{.ID}}"' alias ldp='docker ps --format "table {{.Names}}\t{{.Image}}\t{{.Ports}}"' ali...
true
2367f9003b4d49a38e53120599cb0d02b2deed05
Shell
danielflira/docker-vscode
/dev.sh
UTF-8
511
3.40625
3
[]
no_license
#!/bin/bash if [[ -z "${1}" ]]; then echo "you must inform image name" exit 1 fi IMAGE_NAME="${1}" X11_SOCKET=`echo $DISPLAY | sed -e 's/.*://' -e 's/\..*$//'` mkdir -p .home docker run --rm -ti --privileged \ -v /etc/passwd:/etc/passwd \ -v /etc/shadow:/etc/shadow \ -v /tmp/.X11-unix/X${X11_SOCKET}:/tmp/.X1...
true
caf522fbeda64135bf49cb10116c5a988ae0dd92
Shell
Kaladiya-Ilaf/shell-programming
/loopAndSelection/MagicNumber.sh
UTF-8
806
3.546875
4
[]
no_license
#!/bin/bash echo "Think a number in the range 1-100 : " LowerNumber=0 HigherNumber=100 while true do midNum=`echo $LowerNumber $HigherNumber 2 | awk '{ printf "%.f", ($1 + $2) / $3 }'` echo "whether your thinking value is $midNum" read -p "press 1 for yes ,0 for no : " Response if [ $Response -eq 1 ]...
true
6300fadb55bf6df5d7551c94e024b25e6570d045
Shell
salvogs/progettoSOL
/test/test2.sh
UTF-8
1,421
2.9375
3
[]
no_license
#!/bin/bash # RED='\033[0;31m' LBLUE='\033[1;34m' LGREEN='\033[1;32m' NC='\033[0m' # No Color # avvio server in background echo -e "${LGREEN}==AVVIO SERVER IN BACKGROUND==${NC}" ./bin/server test/config2.txt & SPID=$! # piccola attesa per far si che il server sia pronto ad accettare connessioni sleep 2s socket=s...
true
3904858efae6e419e6eaa8f32f6342c6744416a9
Shell
tpm2-software/tpm2-tools
/test/integration/tests/abrmd_policycountertimer.sh
UTF-8
3,381
3.109375
3
[]
no_license
# SPDX-License-Identifier: BSD-3-Clause source helpers.sh cleanup() { rm -f session.ctx prim.ctx key.pub key.priv key.ctx policy.countertimer.minute if [ "$1" != "no-shut-down" ]; then shut_down fi } call_policy_countertimer () { trap - ERR output=$(tpm2 policycountertimer $@ 2>&1) result=$?...
true
7d5cbd9c2e84f202af4d2cea1ff58aabc02ffbb7
Shell
jayko1552/Jay-gus
/intul.sh
UTF-8
735
3.4375
3
[]
no_license
#!/bin/bash #Autor: Fenix #Descripción: Detecta a los hosts conectados en nuestra red #Requiere: nmap # #Atención: Lo único q requiere configurar es la interfaz en donde se desea escuchar INTER='wlan0' function mask2bits { m=`ifconfig $INTER | awk '{print $4}' | grep -o -E '([0-9]{1,3}\.){3}[0-9]+' ` ...
true
f9a86864e51a1b66a956316e1c0b27c9d37c8e6f
Shell
psauliere/netatmo
/launcher.sh
UTF-8
501
3.140625
3
[]
no_license
#!/bin/bash # launcher: starts netatmo.py in a new tmux session. # To launch at startup as pi, add this to /etc/rc.local: # su -c /home/pi/netatmo/launcher.sh -l pi SESSION="NETATMO" echo "Launching tmux" # allow re-launch tmux has-session -t $SESSION 2>/dev/null && tmux kill-session -t $SESSION tmux new-session -...
true
6a837a3928d9c28457442c6acae9a13a815a9611
Shell
Lampei/cfml-ci
/tests/ci/scripts/ci-helper.sh
UTF-8
1,978
4
4
[ "MIT" ]
permissive
#!/bin/bash # WORK_DIR and BUILD_DIR must be set! if [ ! -n "$WORK_DIR" ]; then echo "WORK_DIR must be set!" exit 1 fi if [ ! -n "$BUILD_DIR" ]; then BUILD_DIR=`pwd` fi echo "Working directory: $WORK_DIR, Build directory: $BUILD_DIR" if [ ! "$1" == "install" ]; then if [ ! -d $WORK_DIR ]; then echo "Working d...
true
3438020f2e723fd1c6393143b2aea9938d4f4e3d
Shell
djbingham/php-celestial
/Example/ToDoList/Script/composer.sh
UTF-8
267
3.125
3
[]
no_license
#!/usr/bin/env bash COMMAND=$1 # Composer command to execute. e.g. "install" pushd "$( dirname "${BASH_SOURCE[0]}" )/.." > /dev/null docker run \ --rm \ -v "$(pwd)/App:/app" \ --workdir /app \ composer/composer \ ${COMMAND} --no-interaction popd > /dev/null
true
ea426c20b09b125eff36078be2327e1a3024f6f0
Shell
higher-security/rtl-cmd
/rtl_power-fm-waterfall
UTF-8
204
2.625
3
[]
no_license
#!/bin/bash DURATION=5m FILE=${@:-/tmp/rtl_power-fm-$(date +%d-%m-%Y_%H-%M-%S).csv} (rtl_power -i $DURATION -f 88M:108M:125k $FILE ; python heatmap.py $FILE $FILE.jpg; eog $FILE.jpg ) >/dev/null 2>&1 &
true
3c709465f585dba8552c78b3a6cffaea05e441ca
Shell
prietod/BeadArray
/job/generate-phenotype-details
UTF-8
854
2.984375
3
[]
no_license
#!/usr/bin/env bash set -x source ${BASE}/lib/env.sh source ${BASE}/lib/util.sh ${BASE}/bin/util/generate-phenotype-details \ /hiidata/projects/BeadArray/cols_added.tsv \ /hiidata/teddy/data/jinfiniti/gene_expression/map_info.txt \ > ${WORK_DIR}/common/BeadArray_phenotype_details.txt for dataset in ${DATASETS...
true
c23ff0802374c33964921cd79a4e98ae4c26cbdf
Shell
ChrisJ60/nweventwatcher
/getNwEnv
UTF-8
16,488
2.890625
3
[ "UPL-1.0", "LicenseRef-scancode-warranty-disclaimer" ]
permissive
#!/bin/zsh # # Copyright (c) Chris Jenkins 2019, 2020 # # Licensed under the Universal Permissive License v 1.0 as shown # at http://oss.oracle.com/licenses/upl # ############################################################ # reset all shell options to default emulate -LR zsh # set required options setopt nullglob se...
true
d44af66145042e3db9d2c68f6d44e7e8e4dfc1c8
Shell
jackyko1991/gadgetron
/docker/build_base_images.sh
UTF-8
1,255
2.53125
3
[ "LicenseRef-scancode-warranty-disclaimer", "LicenseRef-scancode-public-domain", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash base_dir=$(pwd) cd ${base_dir}/base/ubuntu_1604 docker build --network=host -t gadgetron/ubuntu_1604_base . cd ${base_dir}/base/ubuntu_1604_cuda55 docker build --network=host -t gadgetron/ubuntu_1604_cuda55_base . cd ${base_dir}/base/ubuntu_1604_cuda75 docker build --network=host -t gadgetron/ubuntu_160...
true
4294d63798dda45e0228f1aaa8a405fd5fde190d
Shell
didekin/comunidad_client_libs
/didekinlib_utilities/buildtest.sh
UTF-8
1,139
3.3125
3
[]
no_license
# It must be executed after 'cdlibs' with './didekinlib_utilities/buildtest.sh environment version' # Environments: local, master #!/bin/bash export FUNCTIONS_FILE=terminal/envfunctions if ! [ -f ${FUNCTIONS_FILE} ] then echo "No environment functions file: $FUNCTIONS_FILE" 1>&2; exit 1 else ...
true
6f8f08fc75bf6e72db03457c2c11740c9c78dea2
Shell
aidmax/terraform-gcp-k8s
/scripts/get_config.sh
UTF-8
394
2.984375
3
[ "MIT", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash set -e declare TF_VAR_ssh_user # Loading environment variables source .envrc mkdir -p "$HOME"/.kube_gcp scp "$TF_VAR_ssh_user"@"$(terraform output k8s-master-ip)":.kube/config "$HOME"/.kube_gcp/config KUBECONFIG="$HOME"/.kube_gcp/config kubectl config set-cluster kubernetes --server=https://"$(terrafor...
true
73eaa5111a93304884ce4e2ba264178b2f157d99
Shell
petronny/aur3-mirror
/ooc-gtksourceview-git/PKGBUILD
UTF-8
931
3.046875
3
[]
no_license
# Contributor: Scott Olson <scott@scott-olson.org> pkgname=ooc-gtksourceview-git pkgdesc="ooc lang files for gtksourceview" url="http://github.com/nddrylliog/ooc-gtksourceview" license=('LGPL') arch=('i686' 'x86_64') pkgver=20100201 pkgrel=1 depends=('gtksourceview2' 'shared-mime-info') makedepends=('git') _gitroot='...
true
7696c196d7a1641cada778880d465dbc27125ef1
Shell
mulriple/devdb
/dev/e2dynamo/scripts/start-node
UTF-8
594
3.25
3
[]
no_license
#! /bin/bash # Program: # Start the e2d_node if [ $# -lt 1 ] then echo -e "Please specify the config file path:\n" \ "Usage: startnode config_file" exit 0 fi base="`dirname $(which "$0")`/.." ROOTDIR=`(cd "$base"; echo $PWD)` MnesiaDir="var/e2dynamo/mnesia" export E2D_ROOT=$ROOTDIR export E2D_CONF...
true
427e2d9a617012c90438f8d28997cb77f95ea690
Shell
sebuaa2020/Team108
/scripts/setup.sh
UTF-8
610
2.890625
3
[]
no_license
#!/bin/bash if ! [ -d "/opt/ros/kinetic" ]; then echo "install ros-kinetic" # install ros kinetic sudo apt-key adv --keyserver 'hkp://keyserver.ubuntu.com:80' --recv-key C1CF6E31E6BADE8868B172B4F42ED6FBAB17C654 sudo apt-get update sudo apt-get install ros-kinetic-desktop-full # environment setup echo "...
true
9970087d64d724b0eba5d5a0d9093770f86dda6a
Shell
fellowlei/myshell
/shell/mysql/gen-mysqltest.sh
UTF-8
767
3.1875
3
[]
no_license
#!/bin/bash #show databases; #show tables; #select * from moneybox; #create table tb2 as select dt,id,sum(money) from moneybox group by id,dt; #file name sqlfile=gen_insert.sql # gen insert sql function gen_insert(){ for ((i=1; i<=5; i++)) do echo "insert into moneybox values('2017-01-0$1 0...
true
e0c5a7a41cce47cbbba368277e3e625034483e1d
Shell
luckyplusten/graphanalytics
/scripts/xilinx-tigergraph-install/install.sh
UTF-8
6,406
3.5625
4
[ "Apache-2.0", "BSD-3-Clause" ]
permissive
#!/bin/bash # # Copyright 2021 Xilinx, Inc. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed ...
true
f6a332b5b8531a29cfc13ebfd0c6ac942d3189e0
Shell
LeesinYii/lnmp-shell
/lnmp.sh
UTF-8
1,102
3.53125
4
[]
no_license
#! /bin/bash # lnmp 一键安装脚本 php_prefix="cn2.php.net/get/" php_suffix=".tar.gz/from/this/mirror" nginx_prefix="https://nginx.org/download/" nginx_suffix=".tar.gz" mysql_prefix="" mysql_suffix="" # php 版本 php_version=( "php-5.6.35" "php-7.0.12" "php-7.1.13" "php-7.1.15" "php-7.2.1" "php-7.2.5"...
true
f6a7a3757039e86c2db59c2bf2f6e9fe7b458256
Shell
jumpinchat/jumpinchat-homepage
/build/publish-artifact.sh
UTF-8
875
3.234375
3
[ "BSD-3-Clause" ]
permissive
#!/bin/sh set -e if [ -z $AWS_ACCESS_KEY_ID ]; then echo "AWS_ACCESS_KEY_ID not defined" >&2 exit 1 fi if [ -z $AWS_SECRET_ACCESS_KEY ]; then echo "AWS_SECRET_ACCESS_KEY not defined" >&2 exit 1 fi if [ -z $AWS_BUCKET_NAME ]; then echo "AWS_BUCKET_NAME not defined" >&2 exit 1 fi if [ -z $REGION ]; then ...
true
dc097fd4e4ec6fb10182b960be174b3d20532056
Shell
brosander/dev-dockerfiles
/nifi/ubuntu/start.sh
UTF-8
1,890
3.921875
4
[ "Apache-2.0" ]
permissive
#!/bin/bash ZIP_FILE="$(find /opt/nifi-archive/ -maxdepth 1 -name 'nifi*.zip' | head -n 1)" if [ -e "/home/nifi/started_once" ]; then echo "$0 skipping init logic as it has been run before" else if [ -e "/opt/nifi/bin/nifi.sh" ]; then echo "Using nifi installation mounted at /opt/nifi" elif [ -n "$ZIP_FILE"...
true
7ccd74a837569586c846993143954722e3030142
Shell
zzzapzzz/pentest
/android/mystrace.sh
UTF-8
1,458
3.59375
4
[]
no_license
#!/bin/sh # devnull@libcrack.so # # Android strace wrapper # test -z "$1" && { echo -e "\n\tUsage: $0 <app name>\n" exit 1 } trap captura INT captura(){ echo " " echo "[*] Pulling ${strace_logfile}" adb shell pull "${strace_logfile}" . } app="$1" pid= pid_strace= num=$RANDOM logdir=. strace_...
true
1be52027d10efe90bb17bdc619387192f42a5836
Shell
ericelsken/.dotfiles
/.config/bash/bashrc
UTF-8
1,094
3.34375
3
[]
no_license
#!/bin/bash # User specific environment if ! [[ "$PATH" =~ "${HOME}/.local/bin" ]]; then export PATH="${HOME}/.local/bin:${PATH}" fi # Set XDG home directories export XDG_DATA_HOME="${HOME}/.local/share" export XDG_STATE_HOME="${HOME}/.local/state" export XDG_CONFIG_HOME="${HOME}/.config" export XDG_CACHE_HOME="$...
true
d4952845e5f96e1305e47e73b70c2bec391efdc6
Shell
josefnorlin/ssn-generator
/bash/ssn.sh
UTF-8
1,011
3.75
4
[]
no_license
#!/bin/sh # Returns Luhn checksum for supplied sequence josefs_luhn_checksum() { checksum=0; multiples=212121212; for (( i = 0; i < ${#1}; ++i )); do base=${1:$i:1}; multiple=${multiples:$i:1}; multiplied=$(( $base * $multiple )); if [[ ${#multiplied} > 1 ]] ...
true
acf3f3bad51cb10a33dc50ebdec125200f9b658b
Shell
wb8wka/ESP8266Lib
/examples/eyal/app_v3/utils/lcall.sh
UTF-8
816
3.59375
4
[]
no_license
#!/bin/bash echod() { echo "`date '+%F %T'` $me: $@" } die() { echod "$@" exit 1 } compile() { p="$1" # echo "compiling '$p'" luac.cross $ccflags -o "$p".{lc,lua} || { echod "compile of '$p' failed $?" rc='true' } } me="`basename $0 .sh`" ccflags='-s' #ccflags='' rc='false' for f in *.lua ; do test -f...
true
3f653c6914b063f44852b75639110e5a4fda8010
Shell
blackout314/timelessis
/deploy.sh
UTF-8
1,398
3.265625
3
[]
no_license
#!/bin/sh # Scripts to deploy application to staging server # @todo #45:30min Continue implementing deploy scripts. Find out user # and domain of the staging server and replace scp and ssh with correct data. # Add scripts in cron (like the one created in #47). Verify the web # application is running (execute coup...
true
86e7856de32d58ef38ae71685f8997a05f62804b
Shell
delkyd/alfheim_linux-PKGBUILDS
/supybot-git/PKGBUILD
UTF-8
1,038
2.5625
3
[]
no_license
#Contributor: LinkMaster03 linkmaster032000 at gmail dot com #Fixed by Cravix ( dr dot neemous at gmail dot com ) pkgname=supybot-git _pkgname=supybot pkgver=0.83.4.1.7089.6f925e5 pkgrel=1 pkgdesc="A cross-platform IRC bot written in Python" arch=('i686' 'x86_64') url="http://sourceforge.net/projects/supybot/" license=...
true
62c4385f89fa3d6f069b3e730f4bb1eec493e8ce
Shell
HuntsmanCancerInstitute/Workflows
/Hg38RunnerWorkflows2/Auto/Caris/carisAutoProcessing.sh
UTF-8
630
3.171875
3
[]
no_license
#!/bin/bash # 18 May 2022 # David.Nix@hci.utah.edu # Huntsman Cancer Institute # Runs a snakemake workflow to process Caris datasets for translational genomics # Execute this on redwood and in the /scratch/general/pe-nfs1/u0028003/Caris directory set -e; start=$(date +'%s') echo -e "\n---------- Starting -------- $(...
true
2dcf0edee597812783831f1058ed7a2e5e544523
Shell
JScott/minimal-ci
/ansible-role/templates/etc/init.d/mci-worker
UTF-8
453
3.640625
4
[ "MIT" ]
permissive
#!/bin/bash WORKER='{{ mci_worker_script }}' WORKER_LOG='{{ mci_worker_log_path }}' WORKER_PID='{{ mci_worker_pidfile_path }}' start() { sudo su {{ mci_user }} -c "ruby ${WORKER} 2>&1 >> ${WORKER_LOG}" } stop() { kill -9 `cat ${WORKER_PID}` rm ${WORKER_PID} } case "$1" in start) start ;; stop...
true
15a9cd65e068e3ad1dd4363d22bd49c7ad02fad2
Shell
zheplusplus/stekin
/sample-test.sh
UTF-8
518
2.671875
3
[]
no_license
#!/bin/bash verify() { if ./stkn.sh -cm samples/$1.stkn tmp.out && ./tmp.out | diff samples/$1.expected - ; then echo $1 "pass." else echo $1 "FAILED!" fi } if [ $# == 1 ]; then verify $1 exit fi echo "sample-test:" verify empty verify write verify latency-ref verify fib veri...
true
ac466ef624685e84c6cbe6f279447b940c7a5423
Shell
nulldriver/cf-cli-resource
/spec/services/ups_with_credentials_string_spec.sh
UTF-8
3,034
3.0625
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env shellspec set -euo pipefail Describe 'services' setup() { org=$(generate_test_name_with_spaces) space=$(generate_test_name_with_spaces) app_name=$(generate_test_name_with_hyphens) service_instance=$(generate_test_name_with_spaces) credentials='{"username":"admin","password":"pa55...
true
50bda93fe09479bdecccdad96cf0e321e0eb4a94
Shell
Azure/azure-quickstart-templates
/demos/application-gateway-logviewer-goaccess/scripts/setup_vm.sh
UTF-8
3,350
3.140625
3
[ "MIT", "Apache-2.0" ]
permissive
#!/bin/bash #The MIT License (MIT) #Copyright (c) Microsoft Corporation. All rights reserved. #Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the Software), to deal in the Software without restriction, including without limitation the r...
true
a686697f242f28f9b358393af56944b1a729dcf9
Shell
czxxjtu/wxPython-1
/tags/wxPy-2.8.4.2/distrib/msw/makedist.sh
UTF-8
7,650
3.671875
4
[]
no_license
#! /bin/bash # makedist.sh # # Build wxWidgets 2 for Windows distribution. # This builds all required binaries and documents before calling # zipdist.sh to make the archives. # # To use this script, you need: # # - CygWin installation, for bash etc. # - VC++ 6 or higher, to compile the binaries # - WinHelp compiler, HT...
true
f23415513ad80543edf483ef6a530841ce660ecd
Shell
Agilysbe/git-version
/version.sh
UTF-8
950
3.5625
4
[ "MIT" ]
permissive
#!/bin/bash get_next_version () { GITDESCRIPTION=$2 GITDESCRIPTION=${GITDESCRIPTION,,} CURRENTTAG=$1 MAJOR=$(echo "$CURRENTTAG" | cut -d'.' -f 1) MINOR=$(echo "$CURRENTTAG" | cut -d'.' -f 2) PATCH=$(echo "$CURRENTTAG" | cut -d'.' -f 3) if [[ $GITDESCRIPTION = *"patch"* || $G...
true
ffdcd77aef5478e31410419b3a5c5fa1242fa94d
Shell
nlabinebouchard/B32-BashExamples
/01-hello_world.sh
UTF-8
453
3.28125
3
[ "MIT" ]
permissive
#!/bin/bash # Ceci est un commentaire echo "Hello world" #-n empeche les retour de ligne echo -n "Vive " echo "Linux" #-e pour d'utiliser les caractere speciau comme le \n echo -e "123\n123\n123" #crée une variable et fait son echo ( -p permet de mettre un message) #met dekoi dans une variable pas de signe de $ ma...
true
f77df0eeb73e77c35017f8c78a7a422c486906f2
Shell
kblauer/arch-vm-install
/alvin
UTF-8
18,087
3.421875
3
[]
no_license
#!/bin/bash # This is a script to install ArchLinux quickly on a machine, specifically in my case a VMware Workstation VM. # Created by Kyle Blauer # Credit to github.com/helmuthdu for scripts. #This program is free software: you can redistribute it and/or modify #it under the terms of the GNU General Public Licen...
true
af558cb0c7a7d6c38ea76570d78cd357711e6da7
Shell
kzhdlmu/hi3518-osdrv
/rootfs_scripts/rootfs/sbin/fw-upgrade
UTF-8
2,806
4.21875
4
[]
no_license
#!/bin/sh evt=$1 fw_dir=$2 fw_file=$3 fw_path="${fw_dir}/${fw_file}" lock_file="${fw_dir}/firmware-lock" warn() { echo -e "\033[34;1mWARNING: $*\033[0m" } fatal() { echo -e "\033[31;1mFATAL: $*\033[0m" } ## only process the event: ## w: Writable file was closed ## y: File was moved to Y if ! [ x"${evt}" = "xw"...
true
72ab625a34d613cf44a47111f2acc539bdf61f57
Shell
marty-sullivan/CodePipeline-Template
/build/web.sh
UTF-8
684
2.6875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash set -e # API_ID=$(aws cloudformation describe-stacks \ # --stack-name "$APPLICATION-$ENVIRONMENT" \ # --query 'Stacks[0].Outputs[?OutputKey==`Api`].OutputValue' \ # --output text) # aws apigateway get-sdk \ # --rest-api-id "$API_ID" \ # --stage-name 'api' \ # --sdk-type javascript \ # $CODEB...
true
d4cc3bd4956c94cd2f0b9efa6eaa1c3483c3b1ab
Shell
cdoan1/rhacm-tools
/hack/proxy/proxy-verify-deployments-env.sh
UTF-8
486
3.03125
3
[]
no_license
#!/bin/bash echo "" echo "Date: $(date)" echo "Date: $(date -u)" echo "Cluster: $(oc cluster-info | grep api)" echo "" for NS in open-cluster-management hive open-cluster-management-hub open-cluster-management-agent open-cluster-management-agent-addon do for p in `oc get deployments -n $NS | awk '{print $1}' | grep...
true
7779455cb9146bbe0787ae7d7600edc787d65c27
Shell
yongjiangbuaa/march3
/WebProject/Tools/publish_control
UTF-8
8,725
3.171875
3
[]
no_license
#!/bin/sh if [ $# -lt 2 ]; then echo "Usage: $0 {deploy|deploywithdb|deployTemp|start|stop|restart|syncCrossFile|syncBadwords|changeDbStruct} [ sid list. use sepreater {,|-} ]" exit 1 fi mode=$1 sids=$2 extra=$3 if [ "$mode" = "deploywithdb" ]; then php /publish/scripts/generate_servers.xml.php out...
true
174b8018d304fbd2aa23e8a5ca39bca1f9a15e64
Shell
DrSnowbird/jetty-fileserver
/bin/docker-network-bridge-create.sh
UTF-8
337
3.609375
4
[ "Apache-2.0" ]
permissive
#!/bin/bash -x BRIDGE_NAME=${1:-dev-network} find_brdige=`sudo docker network ls|awk '{print $2}' | grep $BRIDGE_NAME` if [ "${find_brdige}" = "${BRIDGE_NAME}" ]; then echo "Docker network creation for: ${BRIDGE_NAME}: EXISTS! Skip!" exit 0 fi sudo docker network create --driver bridge ${BRIDGE_NAME} sudo d...
true
42488df748bf5af34f9add9ba949f60c0ab63021
Shell
infriend/infriend-homework
/OS theory/shell/ex02_02-1.sh
UTF-8
88
2.90625
3
[]
no_license
#!/bin/bash #filename while [ 1 -lt 2 ] do read filename echo ${filename%.*} done
true
ab581904d8162f4a1edcd9f843b93236057c94e5
Shell
bluelabsio/sqlalchemy-vertica-python
/deps.sh
UTF-8
921
3.015625
3
[ "MIT" ]
permissive
#!/bin/bash -e if [ "$(uname)" == Darwin ] then brew update && ( brew upgrade pyenv || true ) fi python_version=3.8.5 # zipimport.ZipImportError: can't decompress data; zlib not available: # You may need `xcode-select --install` on OS X # https://github.com/pyenv/pyenv/issues/451#issuecomment-151336786 pyenv...
true
26db402eac47d5a46b9c7460a130a7a2b27257e7
Shell
krboswell/ceen8886
/lab1/doc/enc_dec_all.sh
UTF-8
701
3.4375
3
[]
no_license
#!/bin/bash key=purplemonkeydishwasher src_name=Lecture02.pdf outdir=output src=../../$src_name modes="cbc cfb ctr ecb ofb" checksums_file=$outdir/checksums.md5sum md5sum $src > $checksums_file for mode in $modes ; do enc_tgt="$outdir/Lecture02_${mode}_encrypted.base64" dec_tgt="$outdir/Lecture02_${mode}_decr...
true
0513f11ecc3856013c4d2af9d0a0eebc61a8a387
Shell
ycrumeyrolle/Base64
/fuzz/init.sh
UTF-8
335
2.71875
3
[ "MIT" ]
permissive
#!/bin/bash set -e echo "See https://github.com/Metalnem/sharpfuzz for setup" echo "" lib=gfoidl.Base64.dll dotnet build -c Release gfoidl.Base64.FuzzTests mkdir -p ./instrumented cp ../source/gfoidl.Base64/bin/Release/netcoreapp3.0/$lib ./instrumented/$lib sharpfuzz ./instrumented/$lib echo "$lib instrumented an...
true
0a1872929eb18591c65b3b98075d4feba9e8e526
Shell
voidlock/aed
/bin/defib
UTF-8
1,275
3.296875
3
[]
permissive
#!/usr/bin/env bash DEF_BASE="$HOME/.aed" AED_BASE="${AED_BASE:=$DEF_BASE}" AED_LIB="${AED_BASE}/lib" AED_MODULES="${AED_BASE}/modules" AED_CONFIG="${HOME}/.aedrc" PWD_DIR=`pwd -P` AED_LOCAL_DIR="${PWD_DIR}/.aed" AED_LOCAL_MODULES="${AED_LOCAL_DIR}/modules" AED_LOG="${AED_LOCAL_DIR}/defib.log" AED_FILE="${PWD_DIR}/Ae...
true
39e359c968766a524828db646656f8302e771740
Shell
HacksDev/PythonHW
/List/linux_hw1.sh
UTF-8
1,169
3.78125
4
[]
no_license
#!/bin/bash # Make sure only root can run script if [[ $EUID -ne 0 ]]; then echo "This script must be run as root" 1>&2 exit 1 fi; # Create main ftp folder. BASE_DIR=/var/ftp; mkdir -p $BASE_DIR; # Create group that includes superusers. groupadd ftpadmins; # Create group that includes ftp users. groupadd ftpus...
true
49b06c0ec8518fbe516a7e78ef003610df33bda5
Shell
hdinsight/HivePerformanceAutomation
/workload/tpch/prerun.sh
UTF-8
3,477
3.859375
4
[]
no_license
#/bin/bash function usageerror { echo "please enter scale factor in the config" exit 1 } function runcommand { if [ "X$DEBUG_SCRIPT" != "X" ]; then $1 else $1 2>/dev/null fi } set -x . ./config.sh cd ${CURRENT_DIRECTORY} echo "Building TPC-H Data Generator" (cd tpch-gen; make) echo "TPC-H Data Generator bui...
true
02fa98171063f0d585da66e818e46a8e5ea4fa94
Shell
nReality/SUGSA-App2018
/build-scripts/android-post.sh
UTF-8
263
2.6875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash set -e scripts_root=build-scripts/ test -d $scripts_root || (echo "script must be executed from the root of the repo" && exit 1) echo "=== SIGNING ===" $scripts_root/android-sign.sh echo "=== PUBLISH ===" $scripts_root/android-publish-hockeyapp.sh
true
d0d3864bdb624203dc9ac3a5fa0f32d41f21df52
Shell
smit1678/posm-build
/kickstart/scripts/bridge-deploy.sh
UTF-8
925
3.265625
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash deploy_bridge_ubuntu() { local v="`virt-what 2>/dev/null`" if [ $? = 0 ] && [ -z "$v" ]; then # enable port forwarding expand etc/sysctl.d/99-forwarding.conf /etc/sysctl.d/99-forwarding.conf # load sysctl settings service procps start # configure interface hook scripts expand etc/enable-p...
true
2c3eb71bb8d6340598598c103069b931a8b6902e
Shell
CloverOS/gingerdx_stock
/system/bin/modelid_cfg.sh
UTF-8
898
2.859375
3
[]
no_license
#!/sbin/sh kineto=/system/app/MS-HTCEMR-KNT20-02-A0-GB-02.apk rm_kineto=y cat /proc/cmdline|egrep -q '(PC1010000)|(PB9910000)|(PD1510000)|(PB6510000)' if [ $? = 0 ]; then rm_kineto=n fi if [ "$rm_kineto" = "y" ]; then if [ -f $kineto ]; then rm -f /system/app/MS-HTCEMR-KNT20-02-A0-GB-02.apk rm -f /system/lib/l...
true
529decac0b65167985fa987176e91302d0f9d553
Shell
kongyew/greenplum-pxf-examples
/usecase1/pxf/disablePXFUserImpersonation.sh
UTF-8
484
2.9375
3
[ "MIT" ]
permissive
#!/bin/bash set -e current=`pwd` cd `dirname $0` . ./setEnv.sh if [ -d "/home/gpadmin/pxf" ] then sed -i 's/export PXF_USER_IMPERSONATION=${PXF_USER_IMPERSONATION:=true}/export PXF_USER_IMPERSONATION=false/g' /home/gpadmin/pxf/conf/pxf-env.sh else if [ -d "/usr/local/greenplum-db" ] then sed -i 's/exp...
true
6ddf20799c60ebb2eea1bd62dc1c7a9bbbbd210d
Shell
pmem/pmemkv
/utils/jenkins/scripts/removeNamespaces.sh
UTF-8
460
3.203125
3
[ "BSD-3-Clause", "MIT" ]
permissive
#!/usr/bin/env bash # SPDX-License-Identifier: BSD-3-Clause # Copyright 2019-2021, Intel Corporation # removeNamespaces.sh - clear all existing namespaces. set -e MOUNT_POINT="/mnt/pmem*" # Clearing all existing namespaces sudo umount $MOUNT_POINT || true namespace_names=$(ndctl list -X | jq -r '.[].dev') for n i...
true
34df2f14d0a068207c10b2f214871dc822ac9d0c
Shell
dingyong/smalltools
/ed2k.sh
UTF-8
609
3.3125
3
[]
no_license
#!/bin/bash ED2K_FILE=/net/aMule/.aMule/ED2KLinks TMP=/tmp/$$.tmp TMP2=/tmp/$$.tmp2 if [ "${EDITOR}" = "" ]; then EDITOR=/usr/bin/vim fi # accept input data from editor ${EDITOR} "$TMP" if [ -f $TMP ]; then while read line do # php -r "echo urldecode('${line}'.\"\n\");" >> "${TMP2}" php ...
true
b7db6517805d5cd1944b6994ac8a20de1d4708e5
Shell
HNLETHZ/PlotFactory
/checksamples/checkdiffsamples.sh
UTF-8
877
3.3125
3
[]
no_license
file=diffsamples.py numsamp=0 while read -r line; do numsamp=$((numsamp+1)) done < "$file" echo "number of samples:" $numsamp >> notuseablediff.txt echo "number of samples:" $numsamp >> useablediff.txt echo "number of samples:" $numsamp echo -n "number of samples checked: " enum=1 while read -r line; do signa...
true
14a8f37c875b49a891c793e390c7bfdca3ce709a
Shell
thomwiggers/dotfiles
/bootstrap.sh
UTF-8
1,545
3.84375
4
[ "MIT" ]
permissive
# --- Functions --- # # Notice title function notice { echo "\033[1;32m=> $1\033[0m"; } # Error title function error { echo "\033[1;31m=> Error: $1\033[0m"; } # List item function c_list { echo " \033[1;32m✔\033[0m $1"; } # Error list item function e_list { echo " \033[1;31m✖\033[0m $1"; } # Check for dependen...
true
433fd6befb38f67c27340b9e6180663cb99e71a9
Shell
adityasaraswat0035/azcli
/ssh_rule.sh
UTF-8
4,964
3.734375
4
[]
no_license
#!/usr/bin/zsh ################################################# # Add SSH allow/deny rules to running VMs # It assumes that the NSG is in the same RG as the VM # It creates the rules with prio 100 # # Jose Moreno, March 2021 ################################################# # Function to inject a deny rule for SSH f...
true
8abadf1cc03b6b588111acb5c8a7c7835b08e576
Shell
schmunsler/personal-scripts
/dolphin
UTF-8
1,269
3.90625
4
[ "WTFPL" ]
permissive
#!/bin/bash # wrapper for dolphin to make it open new tabs instead of windows # place somewhere earlier in your path than your current dolphin (e.g.$HOME/bin) # usage: dolphin [URL(s)] # source: https://github.com/schmunsler/personal-scripts # if Dolphin is already running if [ ! -z $(qdbus | grep "org.kde.dolphin") ]...
true
8e1e4e9b38c17d420f33109a72598602f6cbabf2
Shell
aNNufriy/postgres-training
/runEx.sh
UTF-8
142
2.609375
3
[]
no_license
[ $# -eq 1 ] || { echo No arguments supplied; exit 1; } docker-compose exec postgresql su - postgres -c "cat /exercises/$1/*.sql | psql test"
true
813373f4642d15a653c1a0dfa4f679929d37ecfe
Shell
jhenkins/hostfw
/host/ipset/getallip.sh
UTF-8
457
3.234375
3
[]
no_license
#!/bin/bash #=============================================================================== # # FILE: getallip.sh # # USAGE: ./getallip.sh arg1 # # DESCRIPTION: Get all IP addresses, including lo # #=============================================================================== set -euo pipefail IFS=...
true
203d81b8bb356e1b7633646c5773351a32a54573
Shell
rexcontrols/rex-install-rpi
/script-pifacedigital
UTF-8
966
3.890625
4
[ "MIT" ]
permissive
#!/bin/bash # REXYGEN installer # HW specific operations - PiFace Digital if [ "$EUID" -ne 0 ] then echo "Please run this script as root" exit fi #--- PiFace Digital specific operations --- cp /boot/config.txt /boot/config.txt.rexbak if ! grep -q '^dtparam=spi=on' /boot/config.txt then echo 'dtparam=spi=on' ...
true
10f31d7c1dadbc3980037c5f6bcb8461a7ee7306
Shell
nickmccurdy/danamccurdy.com
/bin/normalize_dates
UTF-8
317
3.78125
4
[]
no_license
#!/usr/bin/env bash # Renames all posts so that dates are in the YYYY-MM-DD format with consistent leading zeros. for file in "$(dirname "$0")"/../_posts/*.md; do old_date=$(echo "$file" | grep -Eo '\d{2,4}-\d{1,2}-\d{1,2}') new_date=$(date -jf %F +%F "$old_date") mv "$file" "${file/$old_date/$new_date}" done
true
b5921415a4a410be2efb0ef584bafdfa0da99eb0
Shell
freebsd/freebsd-ports
/textproc/jarnal/files/patch-jarnal-open-file.sh
UTF-8
892
2.5625
3
[ "BSD-2-Clause" ]
permissive
--- jarnal-open-file.sh.orig 2014-02-20 07:10:52.000000000 +0100 +++ jarnal-open-file.sh 2014-04-28 21:58:13.000000000 +0200 @@ -1,19 +1,20 @@ -#! /bin/bash +#! /bin/sh -SOURCE=$0 -echo $SOURCE -while [ -h "$SOURCE" ]; do - DIR="$( cd -P "$( dirname "$SOURCE" )" && pwd )" - SOURCE="$(readlink "$SOURCE")" - [[ $SOURCE...
true
7a733285450b52638532510b147199b1e995f29f
Shell
smitelli/sodasrv-client
/scripts/alarm.sh
UTF-8
165
2.734375
3
[]
no_license
#!/usr/bin/bash alarming=$(wget -q -O - "http://alala.smitelli.com/soda/?page=alarm") if [ "$alarming" == "1" ]; then play -v 1.5 /root/sodasrv/alarm.wav & fi
true
5ab4c083f467addb36b69f5eb156a0a96922c9e2
Shell
jefflund/dot
/linkdot
UTF-8
549
3.828125
4
[]
no_license
#!/bin/bash linkdot_path=$(realpath "$0") dotfile_root=$(dirname "$linkdot_path")/files # create dot directories for dotdir in $(find $dotfile_root -mindepth 1 -type d); do mkdir -p ${dotdir/$dotfile_root\//$HOME/.} done # symlink dot files for dotfile in $(find $dotfile_root -mindepth 1 -type f); do dest=${dotfi...
true
813dcf261d249ee1f33e6c43b7b2ab28332a2563
Shell
danieldreier/puppet_installer
/files/download.sh
UTF-8
4,313
3.984375
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # this hasn't been added yet; I'm just working on different ways to download # stuff that I can later incorporate into the main script # exists COMMAND exists() { if type "$1" >/dev/null 2>&1 then echo "found $1" return 0 else return 1 fi } unable_to_retrieve_package() { echo "Unabl...
true
2eddf4147a67d34d6bacc536c82fa5e9ee8a2a00
Shell
rlugojr/kurmaos
/packaging/disk-vmware/build.sh
UTF-8
1,290
3.703125
4
[ "Apache-2.0" ]
permissive
#!/bin/bash BASE_PATH=`pwd` set -e -x function containers_gone_wild() { mkdir /tmp/devices-cgroup mount -t cgroup -o devices none /tmp/devices-cgroup echo 'a' > /tmp/devices-cgroup/instance-$(hostname)/devices.allow # create loopback devices for i in $(seq 64 67); do mknod -m 0660 /dev/loop$i b 7 $i ...
true
95b51f76a6d55cdb906c08074443d80ceaf8fb4b
Shell
spikegrobstein/RetroPie-Setup
/scriptmodules/supplementary/xboxdrv.sh
UTF-8
676
2.953125
3
[]
no_license
rp_module_id="xboxdrv" rp_module_desc="Install XBox contr. 360 driver" rp_module_menus="3+" function install_xboxdrv() { rps_checkNeededPackages xboxdrv if [[ -z `cat /etc/rc.local | grep "xboxdrv"` ]]; then sed -i -e '13,$ s|exit 0|xboxdrv --daemon --id 0 --led 2 --deadzone 4000 --silent --trigger-as-...
true
4a68403cf95aa269f0a66939d96a6cf971e02a45
Shell
san650/bashtap
/test/fixtures/red.sh
UTF-8
256
2.65625
3
[ "MIT", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/usr/bin/env bash PWD="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" # shellcheck source=bashtap.bash source "${PWD}/../../bashtap.bash" plan spec "fails" expect << EOT echo hello world EOT to_output << EOT this is not a hello world EOT finish
true
9cc43ee670f4f200479ad4adcfea3d80cef24c3d
Shell
OttawaCloudConsulting/aws-capture-prescribed-infrastructure
/capture-awspbmmaccelerator-prescribed-infrastructure.sh
UTF-8
5,781
3.8125
4
[ "MIT" ]
permissive
#!/bin/bash # Static variables parameterbasename='/default/base/' # Expected name = /default/base/${resource-type}-${tag}-${id-type} # Functions - Modular function list-subnets-all-ids (){ aws ec2 describe-subnets \ --query 'Subnets[*].[SubnetId]' \ --output text } function list-subnets-all...
true
d44979b6a0ab379b454d83ee779c6ef918d7ccca
Shell
iter-yangxingya/linux
/assembly/cpuid/clean.sh
UTF-8
185
2.859375
3
[]
no_license
#!/bin/sh echo "begin cleanning cpuid build's object..." list="cpuid cpuid.o" for out in $list; do if [ -f $out ]; then rm -f $out fi done echo "clean done!" exit 0
true
9c7c9e104726a3b1810ff2b4498e249187be5c8b
Shell
motoakama/pxe
/pxe.sh
UTF-8
8,996
3.640625
4
[]
no_license
#/bin/bash ############################# echo "##############################################" echo "## 一键部署pxe脚本 使用注意事项 ###" echo "## 1:确保本地yum源设置ok ###" echo "## 2:将镜像挂载到/mnt目录下 ###" echo "## 3:所有服务器业务网ip相通 ###" echo "## 4:会自动使用root目录下的 ###" echo ...
true
56314859c59fd8d9b71f410258869def441422cd
Shell
zloidemon/configs
/HOME/shell/func/setup_scm
UTF-8
1,650
3.328125
3
[]
no_license
#!/bin/sh # -*- coding: utf-8 -*- # vim: set et sw=4 ts=4: function _setup_scm() { local _SCM_CONFIG_MERCURIAL=${HOME}/.hgrc local _SCM_CONFIG_GIT=${HOME}/.gitconfig local _X_USER_RESOURCES=${HOME}/.Xresources if [ ${_F_SETUP_EXV} -eq 1 ] then local _SCM_FIRSTNAME=$(extract_xresources_val...
true
9742a408c7944aaca98819b9367359af33627d9d
Shell
tszare/sdk
/dahua_sdk_x64/run.sh
UTF-8
1,405
3.15625
3
[]
no_license
#! /bin/bash basepath=$(cd `dirname $0`; pwd) cd $basepath CURR_PATH=`pwd ./` echo $CURR_PATH JARFILE=client_video.jar _obf_jar() { mvn clean compile test-compile jar:jar -Ppro -Dmaven.test.skip=true java -jar _obf/allatori.jar _obf/_config.xml cp ./target/obf-client_video.jar ./target/client_video.jar ...
true
5f75b641438b4df349d6acf7338c32b371b9a0c6
Shell
twitter/dodo
/bin/gpg-init
UTF-8
1,312
3.46875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash set -euo pipefail # shellcheck disable=SC1091 # shellcheck disable=SC1090 source "$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )/functions" ####################################################################### # Script for initializing gpg with PGP_SECRET env var # # Does not take arg...
true
7ae04b52973917b093bf7ac4464a3cf8f9e4cd3d
Shell
myousefa/ScriptingLanguages
/MidtermPractice/q2.sh
UTF-8
323
3.359375
3
[]
no_license
#! /usr/bin/env bash #Problem2 # Find all awk scripts under the current directory and change the #! line from /usr/local/bin/gawk # to /usr/bin/gawk # Get first line find . -iname '*.awk' -print | while read filename; do sed -e "s/#! *\/usr\/local\/bin\/gawk/#!\/usr\/bin\/gawk/g" $filename done # Modify li...
true
55a52d7560f4b3203b5d72e358f903ad89729f02
Shell
diogoab/escamboapp
/deploy.sh
UTF-8
1,323
2.703125
3
[]
no_license
#!/bin/bash # Created By Diogo A. M. Barbosa 2018 # Update System sudo apt-get update # Install packages sudo apt-get install \ apt-transport-https \ ca-certificates \ curl \ software-properties-common -y # Download Key curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo apt-key add - # ...
true
8de17795f6be4c3015769f88d41c0187fabddaf6
Shell
apatlpo/mit_equinox
/launch/dask.pbs
UTF-8
1,985
3.015625
3
[]
no_license
#!/bin/bash #PBS -N dask_pbs #PBS -q mpi_8 #PBS -l select=8:ncpus=28:mem=100g #PBS -l walltime=24:00:00 # Qsub template for datarmor # Scheduler: PBS # This writes a scheduler.json file into your home directory # You can then connect with the following Python code # >>> from dask.distributed import Client # >>> clien...
true
0fd24558c89815646bad8dfc03d4ec3db4d761fe
Shell
trashcatt/dots
/scripts/xbp.sh
UTF-8
330
3.484375
3
[]
no_license
#!/usr/bin/env bash # xbps shortcuts if [ "$1" = "i" ] ; then xbps-install "${@:2}" elif [ "$1" = "s" ] ; then xbps-query -Rs "${@:2}" elif [ "$1" = "r" ] ; then xbps-remove "${@:2}" else printf "you didn't provide any argument you dumbfuck. usage: xbp [options] options: i (install) s (search) r (remove)\n" ...
true
534b63f13c3911ea77912b007fae77da33616000
Shell
dejanpan/mapping-private
/color_feature_classification/scripts/demos_artificial/test_all.sh
UTF-8
480
2.90625
3
[]
no_license
#!/bin/bash DATA=`rospack find color_feature_classification`/demos_artificial for rot in 0 1 do mkdir -p $DATA/data_result_$rot for nlevel in 0.0005 0.0010 0.0015 0.0020 0.0025 0.0030 0.0035 0.0040 0.0045 0.0050 do for x in a #b c d e do bash `rospack find color_feature_classification`/scripts/demo...
true
78841299a1e7371285a80a1ff123004cda30d7d1
Shell
omerel/Course_linux
/linux_project/perl/start
UTF-8
726
3.03125
3
[]
no_license
#! /bin/bash # =================================================== # Linux project - Analysis system performnece # Omer Elgrably 021590807 & Rami Kashi 12345678 # help from : http://canvasjs.com/ , # http://stackoveflow.com, # course material # =================================================== echo "Hello ,...
true
87ae9e0116dd4aa46d1639a97bac2d9668564cb6
Shell
rcbau/openstack-ci-tools
/setup_volume.sh
UTF-8
428
2.609375
3
[]
no_license
#!/bin/bash -ex cp etc/volumes /etc/network/if-up.d/ chmod ugo+rx /etc/network/if-up.d/ pvcreate /dev/xvdb vgcreate srv /dev/xvdb lvcreate -L99G -nsrv srv lvcreate -L100G -nmysql srv mkfs.ext4 /dev/mapper/srv-srv mkfs.ext4 /dev/mapper/srv-mysql set +e /etc/network/if-up.d/volumes set -e mkdir /srv/mysql /etc/netwo...
true
e749bbf9ff15488924304c09325fb4f9d9022489
Shell
kun0769/shell100
/76.sh
UTF-8
702
3.546875
4
[]
no_license
#!/bin/bash # #program: # 根据文件中ip,用户名和密码批量登录远程机器并杀掉tomcat进程 # #history: #2020/02/24 kun V1.0 cmd="ps aux |grep tomcat |grep -v grep |awk '{print $2}' |xargs kill" cat > kill_tomcat.exp <<"EOF" #!/usr/bin/expect set host [lindex $argv 0] set passwd [lindex $argv 1] set cmd [lindex $argv 2] spawn ssh root@$ho...
true
dbce7879e9a27e8b57d80b5c448b8efb788fc5b3
Shell
hydrz/bulk_delete_git_hub_repos
/run.sh
UTF-8
410
3.21875
3
[ "Apache-2.0" ]
permissive
GITHUB_SECRET="your-github-personal-access-token" REPOS=( "username/repo1" "username/repo2" "username/repo3" "username/repo4" ) function git_repo_delete() { curl -vL \ -H "Authorization: token $GITHUB_SECRET" \ -H "Content-Type: application/json" \ -X DELETE https://api.git...
true
01797eb745d0a1e2020b462b40ff132b4fb7d277
Shell
yuzeng2333/lab3
/tests/convert
UTF-8
426
3.046875
3
[]
no_license
#!/bin/bash if [ ! -d "dep" ]; then mkdir dep fi if [ ! -d "bin" ]; then mkdir bin fi if [ ! -d "dump" ]; then mkdir dump fi if [ ! -d "vmh" ]; then mkdir vmh fi mv *.d dep/ mv riscv* bin/ for x in bin/*;do riscv32-unknown-elf-objdump -EL -sz --section=.xcpthandler --section=.text --section=.data $x > ...
true
22f32b44d16cf0ec2b285b895ef55e76e3e25e60
Shell
kenamick/savagewheels
/savagewheels.in
UTF-8
1,476
3.484375
3
[ "MIT" ]
permissive
#!/bin/sh export SAVAGEWHEELS_SYS_DATADIR="${SAVAGEWHEELS_SYS_DATADIR-@INSTALL_DATADIR@}" export SAVAGEWHEELS_LIBEXECDIR="${SAVAGEWHEELS_LIBEXECDIR-@INSTALL_LIBEXECDIR@}" export SAVAGEWHEELS_USR_CONFDIR="${SAVAGEWHEELS_USR_CONFDIR-${HOME}/.config/savagewheels}" export SAVAGEWHEELS_USR_DATADIR="${SAVAGEWHEELS_USR_DATAD...
true
afb9222c595aad35341c5ba448265d53403475d7
Shell
emad-elsaid/live
/bin/deploy
UTF-8
898
3.5625
4
[]
no_license
#!/usr/bin/env bash # Usage: deploy <branch> <user@server-ip> services # example: deploy master root@123.123.123.123 web set -e BRANCH=$1 SERVER=$2 SERVICES=${@:3} APP=/root/projects/live REPO=git@github.com:emad-elsaid/live.git ENVFILE=/root/env/live/.env sshin() { ssh -o LogLevel=QUIET -t $SERVER "cd $APP; $...
true
c9226f671d701254a847e07c7dd50a653da49e02
Shell
qubenix/qubes-tools
/qubes-update-all
UTF-8
11,447
3.875
4
[]
no_license
#!/bin/bash while [[ "${#}" -gt "0" ]]; do case "${1}" in --all|-A) autoclean="1" autoremove="1" trim="1" upgrade_dom0="1" shift ;; --autoclean|-ac) autoclean="1" shift ;; --autoremove|-ar) autoremove="1" shift ;; --dom0|-d) upgrade_dom0="1" shi...
true
b1cd04715c50e4d4fc19da4e06c570851f83f410
Shell
kzkohashi/playbook
/common_playbook/roles/init_amazon_linux/files/99-app-motd.j2
UTF-8
574
3.015625
3
[]
no_license
#!/bin/bash region=$(curl -s http://169.254.169.254/latest/meta-data/placement/availability-zone | sed -e 's/.$//') myInstanceId=$(curl -s http://169.254.169.254/latest/meta-data/instance-id) tagName=$(aws ec2 describe-instances --region ${region} --query "Reservations[].Instances[?InstanceId==\`${myInstanceId}\`].[T...
true
07635e95141a8e3946bf6e7a6eec8d5e3d6d78bc
Shell
seberm/aur-qubes-core-agent-linux
/PKGBUILD
UTF-8
6,934
2.625
3
[]
no_license
# Maintainer: Otto Sabart <aur@seberm.com> # Ref.: https://github.com/QubesOS/qubes-core-agent-linux/tree/master/archlinux pkgbase=qubes-core-agent-linux pkgname=(qubes-vm-core qubes-vm-networking qubes-vm-keyring) _gitname=${pkgname%-git*} pkgver=4.0.61 pkgrel=17 pkgdesc="The Qubes core files for installation inside...
true